Bug 1177247 - [engine-backend] [importDomain] [hosted-engine] import to the hostged engine storage domain (NFS) is allowed
Summary: [engine-backend] [importDomain] [hosted-engine] import to the hostged engine ...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine
Version: 3.5.0
Hardware: x86_64
OS: Unspecified
unspecified
urgent
Target Milestone: ---
: 3.5.0
Assignee: Tal Nisan
QA Contact: Elad
URL:
Whiteboard: storage
Depends On:
Blocks: rhev35rcblocker rhev35gablocker
TreeView+ depends on / blocked
 
Reported: 2014-12-25 11:42 UTC by Elad
Modified: 2016-02-10 18:16 UTC (History)
11 users (show)

Fixed In Version: org.ovirt.engine-root-3.5.0-28
Doc Type: Bug Fix
Doc Text:
Import of a data storage domain that has the name of the self hosted engine (hosted_storage by default) will be blocked by the backend. Since the storage name can be changed in the HE installation, this value is taken from the configuration in case it is different that the default (the option name is HostedEngineStorageDomainName)
Clone Of:
Environment:
Last Closed: 2015-02-16 19:09:17 UTC
oVirt Team: Storage


Attachments (Terms of Use)
screenshot from webadmin, db dump and hosted engine setup logs (229.01 KB, application/x-gzip)
2014-12-25 11:42 UTC, Elad
no flags Details


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 36549 master MERGED core: Block import of storage domain if the storage contains hosted engine Never
oVirt gerrit 36554 ovirt-engine-3.5 MERGED core: Block import of storage domain if the storage contains hosted engine Never

Description Elad 2014-12-25 11:42:38 UTC
Created attachment 972980 [details]
screenshot from webadmin, db dump and hosted engine setup logs

Description of problem:
An attempt to import the storage domain which is being used for the hosted-engine image is not blocked by the engine. 

I'm reporting this bug so there will be a solution for this flow while using NFS.

https://bugzilla.redhat.com/show_bug.cgi?id=1157243 refers to the iSCSI case.

Version-Release number of selected component (if applicable):
rhev 3.5 vt13.5

How reproducible:
Always

Steps to Reproduce:
1. Deploy hosted-engine (NFS)
2. When the engine is up and running, import a data domain and specify the export path which is used by the hosted engine. 

Actual results:
The import operation is allowed, there is no validation if this domain is being used by the hosted engine for the engine image.
proceeding with the import would overwrite the metadata of the storage domain and the setup would be destroyed. (Tried it)

Expected results:
There should be a validation to check if the path holds a storage domain which is used for hosted engine. 

Additional info: screenshot from webadmin, db dump and hosted engine setup logs

Comment 1 Elad 2015-01-11 14:21:33 UTC
An attempt to import the hosted engine storage domain while using NFS is now blocked on CanDoAction (the storage domain name is the default):

2015-01-11 14:19:13,994 WARN  [org.ovirt.engine.core.bll.storage.AddExistingFileStorageDomainCommand] (ajp-/127.0.0.1:8702-10) [4f60b55d] CanDoAction of action AddExistingFileStorageDomain failed. Reasons:VAR__TYPE__STORAGE__DOMAIN,VAR__ACTION__ADD,ACTION_TYPE_FAILED_HOSTED_ENGINE_STORAGE

Verified using rhev3.5 vt13.6

Comment 2 Allon Mureinik 2015-02-16 19:09:17 UTC
RHEV-M 3.5.0 has been released, closing this bug.


Note You need to log in before you can comment on or make changes to this bug.